#ifndef EASEBARDLL_H_
#define EASEBARDLL_H_

/***************************************************************************
easebardll.h : header file for functions exported from easebardll.dll. Use in 
 conjunction with easebardll.lib in Microsoft C/C++ compiler (tested on VC6 and VC71)

 This file is a part of the EaseSoft Barcode DLL package.
 (c)2006 EaseSoft Inc.. All rights reserved.

 THIS SOURCE FILE IS THE PROPERTY OF EASESOFT CORPORATION AND IS NOT TO 
 BE RE-DISTRIBUTED BY ANY MEANS WHATSOEVER WITHOUT THE EXPRESSED 
 WRITTEN CONSENT OF EASESOFT.

 THIS SOURCE CODE CAN ONLY BE USED UNDER THE TERMS AND CONDITIONS 
 OUTLINED IN THE EASESOFT BARCODE COMPONENT LICENSE AGREEMENT.  EASESOFT 
 GRANTS TO YOU (ONE SOFTWARE DEVELOPER) THE LIMITED RIGHT TO USE 
 THIS SOFTWARE ON A SINGLE COMPUTER.

 EASESOFT EXPRESSLY DISCLAIMS ANY WARRANTY FOR THE SOFTWARE, DOCUMENTATION
 AND ANYTHING ELSE PROVIDED BY EASESOFT HEREBY AND EASESOFT PROVIDES THE 
 SAME IN "AS IS" CONDITION WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS
 OR IMPLIED, INCLUDING, WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF 
 MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK 
 ARISING OUT OF USE OR PERFORMANCE OF THE SOFTWARE AND DOCUMENTATION 
 REMAINS WITH YOU. 

 CONTACT INFORMATION:
 support@easesoft.net
 http:www.easesoft.net
********************************************************************************/

#pragma comment(lib, "EaseBardll.lib")


typedef enum tagSymbology
{
	Code39 =0,
	Code39ASCII =1, 
	Code93=2,
	UPCA=3,
	EAN13=4,
	EAN8=5,
	UPCE=6,
	BookLand=7,
	Code128=8,
	UCC128=9,
	Code25=10,
	I25=11,
	Code11=12,
	Codabar=13,
	MSI=14,
	Postnet=15,
	PDF417=20,
	DataMatrix=21
}Symbology;

typedef enum tagRotation
{
	Clockwise_Zero_Degree=0,
	Clockwise_90_Degree=1,
	Clockwise_180_Degree=2,
	Clockwise_270_Degree=3
}Rotation;

typedef enum tagEncodationMode
{
	E_AUTO=0, E_ASCII=1,E_C40=2, E_TEXT=3,E_X12=4, E_EDIFACT=5,E_BASE256=6
}EncodationMode;

typedef enum tagDataMatrixSize
{
	SIZE_AUTO=0,SIZE_12X12=1,SIZE_14X14=2,SIZE_16X16=3,SIZE_18X18=4,SIZE_20X20=5,SIZE_22X22=6,SIZE_24X24=7,SIZE_26X26=8,
	SIZE_32X32=9,SIZE_36X36=10,SIZE_40X40=11,SIZE_44X44=12,SIZE_48X48=13,SIZE_52X52=14,SIZE_64X64=15,SIZE_72X72=16,SIZE_80X80=17,  
	SIZE_88X88=18,SIZE_96X96=19,SIZE_104X104=20,SIZE_120X120=21,SIZE_132X132=22,SIZE_144X144=23,SIZE_8X18=24,SIZE_8X32=25,
	SIZE_12X26=26,SIZE_12X36=27,SIZE_16X36=28,SIZE_16X48=29
}DataMatrixSize;	

typedef enum tagBorderStyle
{
	None=0,
	m_Solid=1,
	m_Dash=2,
	m_DOT=3,
	m_DashDOTDot=4,
	m_SolidRoundCorner=5
}BorderStyle;


void * __stdcall CreateBarcodeObject();
void __stdcall DeleteBarcodeObject(void* handle);
int __stdcall get_Picture(void* handle,IPictureDisp** picture );
int __stdcall SaveBarcodeImage(void* handle,BSTR fileName );
int __stdcall  DrawToDC(void* handle,HDC hdc, LPRECT lpRect);
int __stdcall  CopyToClipBoard(void* handle);

int __stdcall  get_AddCheckDigit(void* handle,VARIANT_BOOL *pVal);
int __stdcall  put_AddCheckDigit(void* handle,VARIANT_BOOL newVal);
int __stdcall  get_AutoSize(void* handle,VARIANT_BOOL *pVal);
int __stdcall  put_AutoSize(void* handle,VARIANT_BOOL newVal);
int __stdcall  get_BackColor(void* handle,OLE_COLOR *pVal);
int __stdcall  put_BackColor(void* handle,OLE_COLOR newVal);

int __stdcall  get_BorderStyle(void* handle,int *pVal);
int __stdcall  put_BorderStyle(void* handle,int newVal);

int __stdcall  get_BarLeftMargin(void* handle,short *pVal);
int __stdcall  put_BarLeftMargin(void* handle,short newVal);
int __stdcall  get_BarTopMargin(void* handle,short *pVal);
int __stdcall  put_BarTopMargin(void* handle,short newVal);
int __stdcall  get_BarWidthReduction(void* handle,short *pVal);
int __stdcall  put_BarWidthReduction(void* handle,short newVal);
int __stdcall  get_BearerBars(void* handle,VARIANT_BOOL *pVal);
int __stdcall  put_BearerBars(void* handle,VARIANT_BOOL newVal);
int __stdcall  get_BottomComment(void* handle,BSTR *pVal);
int __stdcall  put_BottomComment(void* handle,BSTR newVal);
int __stdcall  get_BottomCommentFont(void* handle,IFontDisp **pVal);
int __stdcall  put_BottomCommentFont(void* handle,IFontDisp *newVal);
int __stdcall  get_BottomCommentLeftMargin(void* handle,short *pVal);
int __stdcall  put_BottomCommentLeftMargin(void* handle,short newVal);
int __stdcall  get_BottomCommentTopMargin(void* handle,short *pVal);
int __stdcall  put_BottomCommentTopMargin(void* handle,short newVal);
int __stdcall  get_ForeColor(void* handle,OLE_COLOR *pVal);
int __stdcall  put_ForeColor(void* handle,OLE_COLOR newVal);
int __stdcall  get_JpegQuality(void* handle,short *pVal);
int __stdcall  put_JpegQuality(void* handle,short newVal);
int __stdcall  get_NarrowBarWidth(void* handle,short *pVal);
int __stdcall  put_NarrowBarWidth(void* handle,short newVal);
int __stdcall  get_NarrowToWideRatio(void* handle,short *pVal);
int __stdcall  put_NarrowToWideRatio(void* handle,short newVal);
int __stdcall  get_QuietZones(void* handle,VARIANT_BOOL *pVal);
int __stdcall  put_QuietZones(void* handle,VARIANT_BOOL newVal);
int __stdcall  get_RasterImageResolution(void* handle,short *pVal);
int __stdcall  put_RasterImageResolution(void* handle,short newVal);
int __stdcall  get_Rotation(void* handle,int *pVal);
int __stdcall  put_Rotation(void* handle,int newVal);
int __stdcall  get_ShowCheckDigit(void* handle,VARIANT_BOOL *pVal);
int __stdcall  put_ShowCheckDigit(void* handle,VARIANT_BOOL newVal);
int __stdcall  get_ShowHRText(void* handle,VARIANT_BOOL *pVal);
int __stdcall  put_ShowHRText(void* handle,VARIANT_BOOL newVal);

int __stdcall  get_SymbologyID(void* handle,int *pVal);
int __stdcall  put_SymbologyID(void* handle,int newVal);

int __stdcall  get_TextFont(void* handle,IFontDisp **pVal);
int __stdcall  put_TextFont(void* handle,IFontDisp *newVal);
int __stdcall  get_TextToEncode(void* handle,BSTR *pVal);
int __stdcall  put_TextToEncode(void* handle,BSTR newVal);
int __stdcall  get_TextTopMargin(void* handle,short *pVal);
int __stdcall  put_TextTopMargin(void* handle,short newVal);
int __stdcall  get_TextLeftMargin(void* handle,short *pVal);
int __stdcall  put_TextLeftMargin(void* handle,short newVal);
int __stdcall  get_TextToStretch(void* handle,VARIANT_BOOL *pVal);
int __stdcall  put_TextToStretch(void* handle,VARIANT_BOOL newVal);
int __stdcall  get_TopComment(void* handle,BSTR *pVal);
int __stdcall  put_TopComment(void* handle,BSTR newVal);
int __stdcall  get_TopCommentFont(void* handle,IFontDisp **pVal);
int __stdcall  put_TopCommentFont(void* handle,IFontDisp *newVal);
int __stdcall  get_TopCommentLeftMargin(void* handle,short *pVal);
int __stdcall  put_TopCommentLeftMargin(void* handle,short newVal);
int __stdcall  get_TopCommentTopMargin(void* handle,short *pVal);
int __stdcall  put_TopCommentTopMargin(void* handle,short newVal);
int __stdcall  get_BarHeight(void* handle,short *pVal);
int __stdcall  put_BarHeight(void* handle,short newVal);
int __stdcall  get_PDFSecurityLevel(void* handle,short *pVal);
int __stdcall  put_PDFSecurityLevel(void* handle,short newVal);
int __stdcall  get_PDFMaxCols(void* handle,short *pVal);
int __stdcall  put_PDFMaxCols(void* handle,short newVal);
int __stdcall  get_PDFMaxRows(void* handle,short *pVal);
int __stdcall  put_PDFMaxRows(void* handle,short newVal);
int __stdcall  get_PDFModuleHeight(void* handle,short *pVal);
int __stdcall  put_PDFModuleHeight(void* handle,short newVal);
int __stdcall  get_PDFModuleWidth(void* handle,short *pVal);
int __stdcall  put_PDFModuleWidth(void* handle,short newVal);
int __stdcall  get_PDFAspectRatio(void* handle,double *pVal);
int __stdcall  put_PDFAspectRatio(void* handle,double newVal);
int __stdcall  get_PDFTruncatedSymbol(void* handle,VARIANT_BOOL *pVal);
int __stdcall  put_PDFTruncatedSymbol(void* handle,VARIANT_BOOL newVal);
int __stdcall  get_EncodationMode(void* handle,int *pVal);
int __stdcall  put_EncodationMode(void* handle,int newVal);
int __stdcall  get_DataMatrixSize(void* handle,int *pVal);
int __stdcall  put_DataMatrixSize(void* handle,int newVal);
int __stdcall  get_DataMatrixModuleSize(void* handle,short *pVal);
int __stdcall  put_DataMatrixModuleSize(void* handle,short newVal);
int __stdcall  get_BorderWidth(void* handle,short *pVal);
int __stdcall  put_BorderWidth(void* handle,short newVal);
int __stdcall  get_MetaFileResolution(void* handle,short *pVal);
int __stdcall  put_MetaFileResolution(void* handle,short newVal);
int __stdcall  get_PngFilter(void* handle,short *pVal);
int __stdcall  put_PngFilter(void* handle,short newVal);
int __stdcall  get_TiffCompression(void* handle,short *pVal);
int __stdcall  put_TiffCompression(void* handle,short newVal);
int __stdcall  get_PngInterlace(void* handle,VARIANT_BOOL *pVal);
int __stdcall  put_PngInterlace(void* handle,VARIANT_BOOL newVal);
int __stdcall  get_GifCompression(void* handle,VARIANT_BOOL *pVal);
int __stdcall  put_GifCompression(void* handle,VARIANT_BOOL newVal);
int __stdcall  get_ControlHeight(void* handle,long *pVal);
int __stdcall  put_ControlHeight(void* handle,long newVal);
int __stdcall  get_ControlWidth(void* handle,long *pVal);
int __stdcall  put_ControlWidth(void* handle,long newVal);

#endif 